// $Header: $
// Copyright (c) CODE Consulting and Development, s.r.o., Plzen. All rights reserved.
//#region Example
// This example shows how to let the user browse for an OPC-UA node.

class procedure ShowDialog.Main;
var
  BrowseDialog: OpcLabs_EasyOpcForms_TLB._UABrowseDialog;
begin
  // Instantiate the dialog object
  BrowseDialog := CoUABrowseDialog.Create;
  BrowseDialog.InputsOutputs.CurrentNodeDescriptor.EndpointDescriptor.Host := 'opcua.demo-this.com';
  BrowseDialog.Mode.AnchorElementType := UAElementType_Host;

  BrowseDialog.ShowDialog(nil);

  // Display results
  WriteLn(BrowseDialog.Outputs.CurrentNodeElement.NodeElement.ToString);
end;
//#endregion Example
