// $Header: $
// Copyright (c) CODE Consulting and Development, s.r.o., Plzen. All rights reserved.
//#region Example
// This example shows how to let the user browse for an OPC-UA data node
// (a Data Variable or a Property).

class procedure ShowDialog.Main;
var
  DataDialog: OpcLabs_EasyOpcForms_TLB._UADataDialog;
begin
  // Instantiate the dialog object
  DataDialog := CoUADataDialog.Create;

  //Original OPCLabs-URL:
//DataDialog.EndpointDescriptor.UrlString := 'http://opcua.demo-this.com:51211/UA/SampleServer';

  //Softing OPC dataFEED Suite -> OPC-UA-Client-Tool und URL fr UA-Server:     //DNK/22.02.2019
  //opc.tcp://MAINLINE:4980/Softing_dataFEED_OPC_Suite_Configuration1
  // IP-Adresse einsetzen & Testen!
  //1.Test: Mit 192.168.100.10 => Funktioniert!
//DataDialog.EndpointDescriptor.UrlString := 'opc.tcp://192.168.100.10:4980/Softing_dataFEED_OPC_Suite_Configuration1';
  //2.Test: Mit MAINLINE => Funktioniert!
  DataDialog.EndpointDescriptor.UrlString := 'opc.tcp://MAINLINE:4980/Softing_dataFEED_OPC_Suite_Configuration1';

  DataDialog.UserPickEndpoint := True;

  DataDialog.ShowDialog(nil);

  // Display results
  WriteLn('EndpointDescriptor: ', DataDialog.EndpointDescriptor.ToString);
  WriteLn('NodeElement: ', DataDialog.NodeElement.ToString);
end;
//#endregion Example
