// $Header: $
// Copyright (c) CODE Consulting and Development, s.r.o., Plzen. All rights reserved.
//#region Example
// This example shows how to let the user browse for a host (computer) and
// an endpoint of an OPC-UA server residing on it.

class procedure ShowDialog.Main;
var
  HostAndEndpointDialog: OpcLabs_EasyOpcForms_TLB._UAHostAndEndpointDialog;
begin
  // Instantiate the dialog object
  HostAndEndpointDialog := CoUAHostAndEndpointDialog.Create;

  HostAndEndpointDialog.EndpointDescriptor.Host := 'opcua.demo-this.com';

  HostAndEndpointDialog.ShowDialog(nil);

  // Display results
  WriteLn('HostElement: ', HostAndEndpointDialog.HostElement.ToString);
  WriteLn('DiscoveryElement: ', HostAndEndpointDialog.DiscoveryElement.ToString);
end;
//#endregion Example
